import numpy as np
from astropy.modeling.models import KingProjectedAnalytic1D
import matplotlib.pyplot as plt

plt.figure()
rt_list = [1, 2, 5, 10, 20]
for rt in rt_list:
    r = np.linspace(0.1, rt, 100)

    mod = KingProjectedAnalytic1D(amplitude = 1, r_core = 1., r_tide = rt)
    sig = mod(r)

    plt.loglog(r, sig/sig[0], label='c ~ {:0.2f}'.format(mod.concentration))

plt.xlabel("r")
plt.ylabel(r"$\sigma/\sigma_0$")
plt.legend()
plt.show()