import numpy as np
import matplotlib.pyplot as plt

from astropy.modeling.models import (Linear1D, Sine1D)

x = np.linspace(-4.0, 6.0, num=100)

fig, sax = plt.subplots(ncols=2, figsize=(10, 5))
ax = sax.flatten()

linemod = Linear1D(slope=2., intercept=1.)
ax[0].plot(x, linemod(x), label="Linear1D")

sinemod = Sine1D(amplitude=10., frequency=0.5, phase=0.)
ax[1].plot(x, sinemod(x), label="Sine1D")
ax[1].set_ylim(-11.0, 13.0)

for k in range(2):
    ax[k].set_xlabel("x")
    ax[k].set_ylabel("y")
    ax[k].legend()

plt.tight_layout()
plt.show()