from astropy.timeseries import LombScargle

import numpy as np
import matplotlib.pyplot as plt

rand = np.random.default_rng(42)
t = 100 * rand.random(100)
y = np.sin(2 * np.pi * t) + 0.1 * rand.standard_normal(100)

frequency, power = LombScargle(t, y).autopower()
fig = plt.figure(figsize=(6, 4.5))
plt.plot(frequency, power)