from matplotlib.patches import Rectangle

# Set the Galactic axes such that the plot includes the ICRS south pole
ax = plt.subplot(projection=wcs)
ax.set_xlim(0, 10000)
ax.set_ylim(-10000, 0)

# Overlay the ICRS coordinate grid
overlay = ax.get_coords_overlay('icrs')
overlay.grid(color='black', ls='dotted')

# Add a quadrangle patch (100 degrees by 20 degrees)
q = Quadrangle((255, -70)*u.deg, 100*u.deg, 20*u.deg,
               label='Quadrangle', edgecolor='blue', facecolor='none',
               transform=ax.get_transform('icrs'))
ax.add_patch(q)

# Add a rectangle patch (100 degrees by 20 degrees)
r = Rectangle((255, -70), 100, 20,
              label='Rectangle', edgecolor='red', facecolor='none', linestyle='--',
              transform=ax.get_transform('icrs'))
ax.add_patch(r)

plt.legend(loc='upper right')